# Solution Explorer Contextual List

## Overview

The Solution Explorer Contextual List in Servoy is a section at the bottom of the Solution Explorer window that displays details of items selected in the tree view. It is primarily used to view lists of code resources like methods, functions, variables, and relations, as well as media. Users can interact with the items in the contextual list to access additional information and move code into an open script editor.

## Commands Summary

A summary of the most common commands available via right-click context menu:

| Command                                                                                               | Summary                                                                                                                                                       |
| ----------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Move code](#move-code)                                                                               | Inserts code directly into the Script Editor [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md)                                  |
| [Move sample](#move-sample)                                                                           | Inserts scripting API's commented sample code directly into the Script Editor [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md) |
| [Open in Script Editor](#open-in-script-editor)                                                       | Opens the method in [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md)                                                           |
| [Search for References](#search-for-references)                                                       | Searches all places where the item detail is used                                                                                                             |
| [Create method](#create-method)                                                                       | Creates a new method                                                                                                                                          |
| [Debug Method](#debug-method)                                                                         | Runs the method in started client                                                                                                                             |
| [Delete method](#delete-method)                                                                       | Deletes method                                                                                                                                                |
| [Overrride method](#overrride-method)                                                                 | Opens the method in [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md)                                                           |
| [Create variable](/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md) | Creates a new variable                                                                                                                                        |
| [Edit variable](#edit-variable)                                                                       | Edits variable type and default value                                                                                                                         |
| [Delete variable](#delete-variable)                                                                   | Deletes variable                                                                                                                                              |

## Commands Details

The details for each command available on item details via right-click context menu:

### Move code

Any scripting API (including methods written by a developer) can be inserted directly into the [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md). The code will be copied into the Script Editor and will be referenced with the correct namespace for the current scope. It may be needed to fill in specific arguments.

### Move sample

Any scripting API's commented sample code can be inserted directly into the [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md). A verbose, commented sample will be copied into the Script Editor.

### Open in Script Editor

Opens the item in [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md).

### Search for References

Searches all places where the item is used. The results will appear in Search view normally found at the bottom of the workbench.

### Create method

Creates a new method in same scope / form's scripting file. The user is asked for a name of the new method, then it switches to [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md), with the particular method highlighted.

### Debug Method

Takes the user to the Debug perspective, with the particular method being debugged highlighted.\
This procedure is only available once a Servoy client has been started.

### Delete method

Deletes the selected method from the scope / form's scripting file, after prompting a confirmation window.

### Overrride method

Opens the method in [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md).

### Create variable

Opens the [create new variable editor](/reference/servoy-developer/object-editors/variable-editor.md), then it switches to [Script Editor](/reference/servoy-developer/object-editors/scripting-editor.md) of the same scope / form's scripting file, with the particular variable highlighted.

### Edit variable

Opens the [variable editor](/reference/servoy-developer/object-editors/variable-editor.md) in order to edit variable name, type and default value.

### Delete variable

Deletes the selected variable from the scope / form's scripting file, after prompting a confirmation window.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/solution-explorer-contextual-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
